

import static org.junit.Assert.*;
import org.junit.After;
import org.junit.Before;
import org.junit.Test;

/**
 * The test class AdelTest.
 *
 * @author  Birgit Demuth
 * @version 27.04.2015
 */
public class AdelTest
{
    private Adel adel;
    
    /**
     * Default constructor for test class AdelTest
     */
    public AdelTest()
    {
    }

    /**
     * Sets up the test fixture.
     *
     * Called before every test case method.
     */
    @Before
    public void setUp()
    {
        adel = new Adel();        
    }

    /**
     * Tears down the test fixture.
     *
     * Called after every test case method.
     */
    @After
    public void tearDown()
    {
    }
    
    /**
     * Test auf erwartete Exception in alter Form (nicht so elegant)
     */
    @Test 
    public void testSteuerA1() {
		try {
			adel.setEinkommen(-1);
			fail("Keine Exception aufgetreten");
		} catch (IllegalArgumentException e) {
			assertEquals("Einkommen darf nicht negativ sein", e.getMessage());
		} catch (Exception e) {
			fail("Nicht erwartete Exception aufgetreten");
		}
	}

	@Test 
	public void testSteuerA2() {
		adel.setEinkommen(0);
		assertEquals(20, adel.steuer());
	}

    @Test 
	public void testSteuerA3() {
		adel.setEinkommen(10);
		assertEquals(20, adel.steuer());
	}

	@Test 
	public void testSteuerA4() {
		adel.setEinkommen(20);
		assertEquals(20, adel.steuer());
	}

	@Test 
	public void testSteuerA5() {
		adel.setEinkommen(253);
		assertEquals(25, adel.steuer());
	}
}
